net.sf.jasperreports.components.sort

## Class AbstractFieldComparator<T>

- java.lang.Object
- - net.sf.jasperreports.components.sort.AbstractFieldComparator<T>

- Direct Known Subclasses:
    FieldBooleanComparator, FieldDateComparator, FieldNumberComparator, FieldTextComparator

      public abstract class AbstractFieldComparator<T>
      extends java.lang.Object

  Version:
    $Id: AbstractFieldComparator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `compareEnd`
    `protected T` | `compareStart`
    `protected T` | `compareTo`
    `protected java.lang.Class<?>` | `compareToClass`
    `protected java.text.Format` | `formatter`
    `protected java.lang.String` | `valueEnd`
    `protected java.lang.String` | `valueStart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFieldComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `compare(java.lang.String filterTypeOperator)`
    `protected FormatFactory` | `getFormatFactory()`
    `abstract void` | `initValues()`
    `boolean` | `isValid()`
    `void` | `setCompareTo(java.lang.Object compareTo)`
    `void` | `setCompareToClass(java.lang.Class<?> compareToClass)`
    `void` | `setValueEnd(java.lang.String valueEnd)`
    `void` | `setValueStart(java.lang.String valueStart)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valueStart

          protected java.lang.String valueStart

    - #### valueEnd

          protected java.lang.String valueEnd

    - #### compareStart

          protected T compareStart

    - #### compareEnd

          protected T compareEnd

    - #### compareTo

          protected T compareTo

    - #### compareToClass

          protected java.lang.Class<?> compareToClass

    - #### formatter

          protected java.text.Format formatter

  - ### Constructor Detail

    - #### AbstractFieldComparator

          public AbstractFieldComparator()

  - ### Method Detail

    - #### setCompareTo

          public void setCompareTo(java.lang.Object compareTo)

    - #### setValueStart

          public void setValueStart(java.lang.String valueStart)

    - #### setValueEnd

          public void setValueEnd(java.lang.String valueEnd)

    - #### setCompareToClass

          public void setCompareToClass(java.lang.Class<?> compareToClass)

    - #### compare

          public abstract boolean compare(java.lang.String filterTypeOperator)

    - #### initValues

          public abstract void initValues()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFormatFactory

          protected FormatFactory getFormatFactory()

    - #### isValid

          public boolean isValid()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com